Index: main/waeup.plonetheme/trunk/MANIFEST.in
===================================================================
--- main/waeup.plonetheme/trunk/MANIFEST.in	(revision 5699)
+++ main/waeup.plonetheme/trunk/MANIFEST.in	(revision 5699)
@@ -0,0 +1,2 @@
+recursive-include waeup *
+global-exclude *pyc
Index: main/waeup.plonetheme/trunk/README.txt
===================================================================
--- main/waeup.plonetheme/trunk/README.txt	(revision 5699)
+++ main/waeup.plonetheme/trunk/README.txt	(revision 5699)
@@ -0,0 +1,6 @@
+Introduction
+============
+
+
+
+This product may contain traces of nuts.
Index: main/waeup.plonetheme/trunk/docs/HISTORY.txt
===================================================================
--- main/waeup.plonetheme/trunk/docs/HISTORY.txt	(revision 5699)
+++ main/waeup.plonetheme/trunk/docs/HISTORY.txt	(revision 5699)
@@ -0,0 +1,7 @@
+Changelog
+=========
+
+1.0dev (unreleased)
+-------------------
+
+- Initial release
Index: main/waeup.plonetheme/trunk/docs/INSTALL.txt
===================================================================
--- main/waeup.plonetheme/trunk/docs/INSTALL.txt	(revision 5699)
+++ main/waeup.plonetheme/trunk/docs/INSTALL.txt	(revision 5699)
@@ -0,0 +1,52 @@
+waeup.plonetheme Installation
+-----------------------------
+
+To install waeup.plonetheme into the global Python environment (or a workingenv),
+using a traditional Zope 2 instance, you can do this:
+
+* When you're reading this you have probably already run 
+  ``easy_install waeup.plonetheme``. Find out how to install setuptools
+  (and EasyInstall) here:
+  http://peak.telecommunity.com/DevCenter/EasyInstall
+
+* If you are using Zope 2.9 (not 2.10), get `pythonproducts`_ and install it 
+  via::
+
+    python setup.py install --home /path/to/instance
+
+into your Zope instance.
+
+* Create a file called ``waeup.plonetheme-configure.zcml`` in the
+  ``/path/to/instance/etc/package-includes`` directory.  The file
+  should only contain this::
+
+    <include package="waeup.plonetheme" />
+
+.. _pythonproducts: http://plone.org/products/pythonproducts
+
+
+Alternatively, if you are using zc.buildout and the plone.recipe.zope2instance
+recipe to manage your project, you can do this:
+
+* Add ``waeup.plonetheme`` to the list of eggs to install, e.g.:
+
+    [buildout]
+    ...
+    eggs =
+        ...
+        waeup.plonetheme
+       
+* Tell the plone.recipe.zope2instance recipe to install a ZCML slug:
+
+    [instance]
+    recipe = plone.recipe.zope2instance
+    ...
+    zcml =
+        waeup.plonetheme
+      
+* Re-run buildout, e.g. with:
+
+    $ ./bin/buildout
+        
+You can skip the ZCML slug if you are going to explicitly include the package
+from another package's configure.zcml file.
Index: main/waeup.plonetheme/trunk/docs/LICENSE.GPL
===================================================================
--- main/waeup.plonetheme/trunk/docs/LICENSE.GPL	(revision 5699)
+++ main/waeup.plonetheme/trunk/docs/LICENSE.GPL	(revision 5699)
@@ -0,0 +1,339 @@
+		    GNU GENERAL PUBLIC LICENSE
+		       Version 2, June 1991
+
+ Copyright (C) 1989, 1991 Free Software Foundation, Inc.,
+ 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
+ Everyone is permitted to copy and distribute verbatim copies
+ of this license document, but changing it is not allowed.
+
+			    Preamble
+
+  The licenses for most software are designed to take away your
+freedom to share and change it.  By contrast, the GNU General Public
+License is intended to guarantee your freedom to share and change free
+software--to make sure the software is free for all its users.  This
+General Public License applies to most of the Free Software
+Foundation's software and to any other program whose authors commit to
+using it.  (Some other Free Software Foundation software is covered by
+the GNU Lesser General Public License instead.)  You can apply it to
+your programs, too.
+
+  When we speak of free software, we are referring to freedom, not
+price.  Our General Public Licenses are designed to make sure that you
+have the freedom to distribute copies of free software (and charge for
+this service if you wish), that you receive source code or can get it
+if you want it, that you can change the software or use pieces of it
+in new free programs; and that you know you can do these things.
+
+  To protect your rights, we need to make restrictions that forbid
+anyone to deny you these rights or to ask you to surrender the rights.
+These restrictions translate to certain responsibilities for you if you
+distribute copies of the software, or if you modify it.
+
+  For example, if you distribute copies of such a program, whether
+gratis or for a fee, you must give the recipients all the rights that
+you have.  You must make sure that they, too, receive or can get the
+source code.  And you must show them these terms so they know their
+rights.
+
+  We protect your rights with two steps: (1) copyright the software, and
+(2) offer you this license which gives you legal permission to copy,
+distribute and/or modify the software.
+
+  Also, for each author's protection and ours, we want to make certain
+that everyone understands that there is no warranty for this free
+software.  If the software is modified by someone else and passed on, we
+want its recipients to know that what they have is not the original, so
+that any problems introduced by others will not reflect on the original
+authors' reputations.
+
+  Finally, any free program is threatened constantly by software
+patents.  We wish to avoid the danger that redistributors of a free
+program will individually obtain patent licenses, in effect making the
+program proprietary.  To prevent this, we have made it clear that any
+patent must be licensed for everyone's free use or not licensed at all.
+
+  The precise terms and conditions for copying, distribution and
+modification follow.
+
+		    GNU GENERAL PUBLIC LICENSE
+   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
+
+  0. This License applies to any program or other work which contains
+a notice placed by the copyright holder saying it may be distributed
+under the terms of this General Public License.  The "Program", below,
+refers to any such program or work, and a "work based on the Program"
+means either the Program or any derivative work under copyright law:
+that is to say, a work containing the Program or a portion of it,
+either verbatim or with modifications and/or translated into another
+language.  (Hereinafter, translation is included without limitation in
+the term "modification".)  Each licensee is addressed as "you".
+
+Activities other than copying, distribution and modification are not
+covered by this License; they are outside its scope.  The act of
+running the Program is not restricted, and the output from the Program
+is covered only if its contents constitute a work based on the
+Program (independent of having been made by running the Program).
+Whether that is true depends on what the Program does.
+
+  1. You may copy and distribute verbatim copies of the Program's
+source code as you receive it, in any medium, provided that you
+conspicuously and appropriately publish on each copy an appropriate
+copyright notice and disclaimer of warranty; keep intact all the
+notices that refer to this License and to the absence of any warranty;
+and give any other recipients of the Program a copy of this License
+along with the Program.
+
+You may charge a fee for the physical act of transferring a copy, and
+you may at your option offer warranty protection in exchange for a fee.
+
+  2. You may modify your copy or copies of the Program or any portion
+of it, thus forming a work based on the Program, and copy and
+distribute such modifications or work under the terms of Section 1
+above, provided that you also meet all of these conditions:
+
+    a) You must cause the modified files to carry prominent notices
+    stating that you changed the files and the date of any change.
+
+    b) You must cause any work that you distribute or publish, that in
+    whole or in part contains or is derived from the Program or any
+    part thereof, to be licensed as a whole at no charge to all third
+    parties under the terms of this License.
+
+    c) If the modified program normally reads commands interactively
+    when run, you must cause it, when started running for such
+    interactive use in the most ordinary way, to print or display an
+    announcement including an appropriate copyright notice and a
+    notice that there is no warranty (or else, saying that you provide
+    a warranty) and that users may redistribute the program under
+    these conditions, and telling the user how to view a copy of this
+    License.  (Exception: if the Program itself is interactive but
+    does not normally print such an announcement, your work based on
+    the Program is not required to print an announcement.)
+
+These requirements apply to the modified work as a whole.  If
+identifiable sections of that work are not derived from the Program,
+and can be reasonably considered independent and separate works in
+themselves, then this License, and its terms, do not apply to those
+sections when you distribute them as separate works.  But when you
+distribute the same sections as part of a whole which is a work based
+on the Program, the distribution of the whole must be on the terms of
+this License, whose permissions for other licensees extend to the
+entire whole, and thus to each and every part regardless of who wrote it.
+
+Thus, it is not the intent of this section to claim rights or contest
+your rights to work written entirely by you; rather, the intent is to
+exercise the right to control the distribution of derivative or
+collective works based on the Program.
+
+In addition, mere aggregation of another work not based on the Program
+with the Program (or with a work based on the Program) on a volume of
+a storage or distribution medium does not bring the other work under
+the scope of this License.
+
+  3. You may copy and distribute the Program (or a work based on it,
+under Section 2) in object code or executable form under the terms of
+Sections 1 and 2 above provided that you also do one of the following:
+
+    a) Accompany it with the complete corresponding machine-readable
+    source code, which must be distributed under the terms of Sections
+    1 and 2 above on a medium customarily used for software interchange; or,
+
+    b) Accompany it with a written offer, valid for at least three
+    years, to give any third party, for a charge no more than your
+    cost of physically performing source distribution, a complete
+    machine-readable copy of the corresponding source code, to be
+    distributed under the terms of Sections 1 and 2 above on a medium
+    customarily used for software interchange; or,
+
+    c) Accompany it with the information you received as to the offer
+    to distribute corresponding source code.  (This alternative is
+    allowed only for noncommercial distribution and only if you
+    received the program in object code or executable form with such
+    an offer, in accord with Subsection b above.)
+
+The source code for a work means the preferred form of the work for
+making modifications to it.  For an executable work, complete source
+code means all the source code for all modules it contains, plus any
+associated interface definition files, plus the scripts used to
+control compilation and installation of the executable.  However, as a
+special exception, the source code distributed need not include
+anything that is normally distributed (in either source or binary
+form) with the major components (compiler, kernel, and so on) of the
+operating system on which the executable runs, unless that component
+itself accompanies the executable.
+
+If distribution of executable or object code is made by offering
+access to copy from a designated place, then offering equivalent
+access to copy the source code from the same place counts as
+distribution of the source code, even though third parties are not
+compelled to copy the source along with the object code.
+
+  4. You may not copy, modify, sublicense, or distribute the Program
+except as expressly provided under this License.  Any attempt
+otherwise to copy, modify, sublicense or distribute the Program is
+void, and will automatically terminate your rights under this License.
+However, parties who have received copies, or rights, from you under
+this License will not have their licenses terminated so long as such
+parties remain in full compliance.
+
+  5. You are not required to accept this License, since you have not
+signed it.  However, nothing else grants you permission to modify or
+distribute the Program or its derivative works.  These actions are
+prohibited by law if you do not accept this License.  Therefore, by
+modifying or distributing the Program (or any work based on the
+Program), you indicate your acceptance of this License to do so, and
+all its terms and conditions for copying, distributing or modifying
+the Program or works based on it.
+
+  6. Each time you redistribute the Program (or any work based on the
+Program), the recipient automatically receives a license from the
+original licensor to copy, distribute or modify the Program subject to
+these terms and conditions.  You may not impose any further
+restrictions on the recipients' exercise of the rights granted herein.
+You are not responsible for enforcing compliance by third parties to
+this License.
+
+  7. If, as a consequence of a court judgment or allegation of patent
+infringement or for any other reason (not limited to patent issues),
+conditions are imposed on you (whether by court order, agreement or
+otherwise) that contradict the conditions of this License, they do not
+excuse you from the conditions of this License.  If you cannot
+distribute so as to satisfy simultaneously your obligations under this
+License and any other pertinent obligations, then as a consequence you
+may not distribute the Program at all.  For example, if a patent
+license would not permit royalty-free redistribution of the Program by
+all those who receive copies directly or indirectly through you, then
+the only way you could satisfy both it and this License would be to
+refrain entirely from distribution of the Program.
+
+If any portion of this section is held invalid or unenforceable under
+any particular circumstance, the balance of the section is intended to
+apply and the section as a whole is intended to apply in other
+circumstances.
+
+It is not the purpose of this section to induce you to infringe any
+patents or other property right claims or to contest validity of any
+such claims; this section has the sole purpose of protecting the
+integrity of the free software distribution system, which is
+implemented by public license practices.  Many people have made
+generous contributions to the wide range of software distributed
+through that system in reliance on consistent application of that
+system; it is up to the author/donor to decide if he or she is willing
+to distribute software through any other system and a licensee cannot
+impose that choice.
+
+This section is intended to make thoroughly clear what is believed to
+be a consequence of the rest of this License.
+
+  8. If the distribution and/or use of the Program is restricted in
+certain countries either by patents or by copyrighted interfaces, the
+original copyright holder who places the Program under this License
+may add an explicit geographical distribution limitation excluding
+those countries, so that distribution is permitted only in or among
+countries not thus excluded.  In such case, this License incorporates
+the limitation as if written in the body of this License.
+
+  9. The Free Software Foundation may publish revised and/or new versions
+of the General Public License from time to time.  Such new versions will
+be similar in spirit to the present version, but may differ in detail to
+address new problems or concerns.
+
+Each version is given a distinguishing version number.  If the Program
+specifies a version number of this License which applies to it and "any
+later version", you have the option of following the terms and conditions
+either of that version or of any later version published by the Free
+Software Foundation.  If the Program does not specify a version number of
+this License, you may choose any version ever published by the Free Software
+Foundation.
+
+  10. If you wish to incorporate parts of the Program into other free
+programs whose distribution conditions are different, write to the author
+to ask for permission.  For software which is copyrighted by the Free
+Software Foundation, write to the Free Software Foundation; we sometimes
+make exceptions for this.  Our decision will be guided by the two goals
+of preserving the free status of all derivatives of our free software and
+of promoting the sharing and reuse of software generally.
+
+			    NO WARRANTY
+
+  11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY
+FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW.  EXCEPT WHEN
+OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES
+PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED
+OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE ENTIRE RISK AS
+TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU.  SHOULD THE
+PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING,
+REPAIR OR CORRECTION.
+
+  12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING
+WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR
+REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,
+INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING
+OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED
+TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY
+YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER
+PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE
+POSSIBILITY OF SUCH DAMAGES.
+
+		     END OF TERMS AND CONDITIONS
+
+	    How to Apply These Terms to Your New Programs
+
+  If you develop a new program, and you want it to be of the greatest
+possible use to the public, the best way to achieve this is to make it
+free software which everyone can redistribute and change under these terms.
+
+  To do so, attach the following notices to the program.  It is safest
+to attach them to the start of each source file to most effectively
+convey the exclusion of warranty; and each file should have at least
+the "copyright" line and a pointer to where the full notice is found.
+
+    <one line to give the program's name and a brief idea of what it does.>
+    Copyright (C) <year>  <name of author>
+
+    This program is free software; you can redistribute it and/or modify
+    it under the terms of the GNU General Public License as published by
+    the Free Software Foundation; either version 2 of the License, or
+    (at your option) any later version.
+
+    This program is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+    GNU General Public License for more details.
+
+    You should have received a copy of the GNU General Public License along
+    with this program; if not, write to the Free Software Foundation, Inc.,
+    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+Also add information on how to contact you by electronic and paper mail.
+
+If the program is interactive, make it output a short notice like this
+when it starts in an interactive mode:
+
+    Gnomovision version 69, Copyright (C) year name of author
+    Gnomovision comes with ABSOLUTELY NO WARRANTY; for details type `show w'.
+    This is free software, and you are welcome to redistribute it
+    under certain conditions; type `show c' for details.
+
+The hypothetical commands `show w' and `show c' should show the appropriate
+parts of the General Public License.  Of course, the commands you use may
+be called something other than `show w' and `show c'; they could even be
+mouse-clicks or menu items--whatever suits your program.
+
+You should also get your employer (if you work as a programmer) or your
+school, if any, to sign a "copyright disclaimer" for the program, if
+necessary.  Here is a sample; alter the names:
+
+  Yoyodyne, Inc., hereby disclaims all copyright interest in the program
+  `Gnomovision' (which makes passes at compilers) written by James Hacker.
+
+  <signature of Ty Coon>, 1 April 1989
+  Ty Coon, President of Vice
+
+This General Public License does not permit incorporating your program into
+proprietary programs.  If your program is a subroutine library, you may
+consider it more useful to permit linking proprietary applications with the
+library.  If this is what you want to do, use the GNU Lesser General
+Public License instead of this License.
Index: main/waeup.plonetheme/trunk/docs/LICENSE.txt
===================================================================
--- main/waeup.plonetheme/trunk/docs/LICENSE.txt	(revision 5699)
+++ main/waeup.plonetheme/trunk/docs/LICENSE.txt	(revision 5699)
@@ -0,0 +1,16 @@
+  waeup.plonetheme is copyright Henrik Bettermann
+
+  This program is free software; you can redistribute it and/or modify
+  it under the terms of the GNU General Public License as published by
+  the Free Software Foundation; either version 2 of the License, or
+  (at your option) any later version.
+
+  This program is distributed in the hope that it will be useful,
+  but WITHOUT ANY WARRANTY; without even the implied warranty of
+  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+  GNU General Public License for more details.
+
+  You should have received a copy of the GNU General Public License
+  along with this program; if not, write to the Free Software
+  Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
+  MA 02111-1307 USA.
Index: main/waeup.plonetheme/trunk/setup.cfg
===================================================================
--- main/waeup.plonetheme/trunk/setup.cfg	(revision 5699)
+++ main/waeup.plonetheme/trunk/setup.cfg	(revision 5699)
@@ -0,0 +1,3 @@
+[zopeskel]
+template = plone3_theme
+
Index: main/waeup.plonetheme/trunk/setup.py
===================================================================
--- main/waeup.plonetheme/trunk/setup.py	(revision 5699)
+++ main/waeup.plonetheme/trunk/setup.py	(revision 5699)
@@ -0,0 +1,38 @@
+from setuptools import setup, find_packages
+import os
+
+version = '1.0'
+
+setup(name='waeup.plonetheme',
+      version=version,
+      description="An installable theme for Plone 3",
+      long_description=open("README.txt").read() + "\n" +
+                       open(os.path.join("docs", "HISTORY.txt")).read(),
+      # Get more strings from
+      # http://pypi.python.org/pypi?:action=list_classifiers
+      classifiers=[
+        "Framework :: Plone",
+        "Programming Language :: Python",
+        ],
+      keywords='web zope plone theme',
+      author='Henrik Bettermann',
+      author_email='henrik@waeup.org',
+      url='http://www.waeup.org',
+      license='GPL',
+      packages=find_packages(exclude=['ez_setup']),
+      namespace_packages=['waeup'],
+      include_package_data=True,
+      zip_safe=False,
+      install_requires=[
+          'setuptools',
+          # -*- Extra requirements: -*-
+      ],
+      entry_points="""
+      # -*- Entry points: -*-
+
+      [z3c.autoinclude.plugin]
+      target = plone
+      """,
+      setup_requires=["PasteScript"],
+      paster_plugins=["ZopeSkel"],
+      )
Index: main/waeup.plonetheme/trunk/waeup.plonetheme-configure.zcml
===================================================================
--- main/waeup.plonetheme/trunk/waeup.plonetheme-configure.zcml	(revision 5699)
+++ main/waeup.plonetheme/trunk/waeup.plonetheme-configure.zcml	(revision 5699)
@@ -0,0 +1,1 @@
+<include package="waeup.plonetheme" />
Index: main/waeup.plonetheme/trunk/waeup.plonetheme.egg-info/PKG-INFO
===================================================================
--- main/waeup.plonetheme/trunk/waeup.plonetheme.egg-info/PKG-INFO	(revision 5699)
+++ main/waeup.plonetheme/trunk/waeup.plonetheme.egg-info/PKG-INFO	(revision 5699)
@@ -0,0 +1,27 @@
+Metadata-Version: 1.0
+Name: waeup.plonetheme
+Version: 1.0
+Summary: An installable theme for Plone 3
+Home-page: http://www.waeup.org
+Author: Henrik Bettermann
+Author-email: henrik@waeup.org
+License: GPL
+Description: Introduction
+        ============
+        
+        
+        
+        This product may contain traces of nuts.
+        
+        Changelog
+        =========
+        
+        1.0dev (unreleased)
+        -------------------
+        
+        - Initial release
+        
+Keywords: web zope plone theme
+Platform: UNKNOWN
+Classifier: Framework :: Plone
+Classifier: Programming Language :: Python
Index: main/waeup.plonetheme/trunk/waeup.plonetheme.egg-info/SOURCES.txt
===================================================================
--- main/waeup.plonetheme/trunk/waeup.plonetheme.egg-info/SOURCES.txt	(revision 5699)
+++ main/waeup.plonetheme/trunk/waeup.plonetheme.egg-info/SOURCES.txt	(revision 5699)
@@ -0,0 +1,43 @@
+MANIFEST.in
+README.txt
+setup.cfg
+setup.py
+waeup/__init__.py
+waeup.plonetheme.egg-info/PKG-INFO
+waeup.plonetheme.egg-info/SOURCES.txt
+waeup.plonetheme.egg-info/dependency_links.txt
+waeup.plonetheme.egg-info/entry_points.txt
+waeup.plonetheme.egg-info/namespace_packages.txt
+waeup.plonetheme.egg-info/not-zip-safe
+waeup.plonetheme.egg-info/paster_plugins.txt
+waeup.plonetheme.egg-info/requires.txt
+waeup.plonetheme.egg-info/top_level.txt
+waeup/plonetheme/__init__.py
+waeup/plonetheme/configure.zcml
+waeup/plonetheme/profiles.zcml
+waeup/plonetheme/setuphandlers.py
+waeup/plonetheme/skins.zcml
+waeup/plonetheme/tests.py
+waeup/plonetheme/version.txt
+waeup/plonetheme/browser/__init__.py
+waeup/plonetheme/browser/configure.zcml
+waeup/plonetheme/browser/interfaces.py
+waeup/plonetheme/browser/viewlet.pt
+waeup/plonetheme/browser/viewlets.py
+waeup/plonetheme/browser/images/README.txt
+waeup/plonetheme/browser/stylesheets/README.txt
+waeup/plonetheme/browser/stylesheets/main.css
+waeup/plonetheme/browser/templates/footer.pt
+waeup/plonetheme/locales/README.txt
+waeup/plonetheme/profiles/default/cssregistry.xml
+waeup/plonetheme/profiles/default/jsregistry.xml
+waeup/plonetheme/profiles/default/metadata.xml
+waeup/plonetheme/profiles/default/skins.xml
+waeup/plonetheme/profiles/default/viewlets.xml
+waeup/plonetheme/profiles/default/waeup.plonetheme_various.txt
+waeup/plonetheme/skins/waeup_plonetheme_custom_images/CONTENT.txt
+waeup/plonetheme/skins/waeup_plonetheme_custom_images/logo.png
+waeup/plonetheme/skins/waeup_plonetheme_custom_templates/CONTENT.txt
+waeup/plonetheme/skins/waeup_plonetheme_styles/CONTENT.txt
+waeup/plonetheme/skins/waeup_plonetheme_styles/base_properties.props
+waeup/plonetheme/skins/waeup_plonetheme_styles/ploneCustom.css.dtml
Index: main/waeup.plonetheme/trunk/waeup.plonetheme.egg-info/dependency_links.txt
===================================================================
--- main/waeup.plonetheme/trunk/waeup.plonetheme.egg-info/dependency_links.txt	(revision 5699)
+++ main/waeup.plonetheme/trunk/waeup.plonetheme.egg-info/dependency_links.txt	(revision 5699)
@@ -0,0 +1,1 @@
+
Index: main/waeup.plonetheme/trunk/waeup.plonetheme.egg-info/entry_points.txt
===================================================================
--- main/waeup.plonetheme/trunk/waeup.plonetheme.egg-info/entry_points.txt	(revision 5699)
+++ main/waeup.plonetheme/trunk/waeup.plonetheme.egg-info/entry_points.txt	(revision 5699)
@@ -0,0 +1,6 @@
+
+      # -*- Entry points: -*-
+
+      [z3c.autoinclude.plugin]
+      target = plone
+      
Index: main/waeup.plonetheme/trunk/waeup.plonetheme.egg-info/namespace_packages.txt
===================================================================
--- main/waeup.plonetheme/trunk/waeup.plonetheme.egg-info/namespace_packages.txt	(revision 5699)
+++ main/waeup.plonetheme/trunk/waeup.plonetheme.egg-info/namespace_packages.txt	(revision 5699)
@@ -0,0 +1,1 @@
+waeup
Index: main/waeup.plonetheme/trunk/waeup.plonetheme.egg-info/not-zip-safe
===================================================================
--- main/waeup.plonetheme/trunk/waeup.plonetheme.egg-info/not-zip-safe	(revision 5699)
+++ main/waeup.plonetheme/trunk/waeup.plonetheme.egg-info/not-zip-safe	(revision 5699)
@@ -0,0 +1,1 @@
+
Index: main/waeup.plonetheme/trunk/waeup.plonetheme.egg-info/paster_plugins.txt
===================================================================
--- main/waeup.plonetheme/trunk/waeup.plonetheme.egg-info/paster_plugins.txt	(revision 5699)
+++ main/waeup.plonetheme/trunk/waeup.plonetheme.egg-info/paster_plugins.txt	(revision 5699)
@@ -0,0 +1,1 @@
+ZopeSkel
Index: main/waeup.plonetheme/trunk/waeup.plonetheme.egg-info/requires.txt
===================================================================
--- main/waeup.plonetheme/trunk/waeup.plonetheme.egg-info/requires.txt	(revision 5699)
+++ main/waeup.plonetheme/trunk/waeup.plonetheme.egg-info/requires.txt	(revision 5699)
@@ -0,0 +1,1 @@
+setuptools
Index: main/waeup.plonetheme/trunk/waeup.plonetheme.egg-info/top_level.txt
===================================================================
--- main/waeup.plonetheme/trunk/waeup.plonetheme.egg-info/top_level.txt	(revision 5699)
+++ main/waeup.plonetheme/trunk/waeup.plonetheme.egg-info/top_level.txt	(revision 5699)
@@ -0,0 +1,1 @@
+waeup
Index: main/waeup.plonetheme/trunk/waeup/__init__.py
===================================================================
--- main/waeup.plonetheme/trunk/waeup/__init__.py	(revision 5699)
+++ main/waeup.plonetheme/trunk/waeup/__init__.py	(revision 5699)
@@ -0,0 +1,6 @@
+# See http://peak.telecommunity.com/DevCenter/setuptools#namespace-packages
+try:
+    __import__('pkg_resources').declare_namespace(__name__)
+except ImportError:
+    from pkgutil import extend_path
+    __path__ = extend_path(__path__, __name__)
Index: main/waeup.plonetheme/trunk/waeup/plonetheme/__init__.py
===================================================================
--- main/waeup.plonetheme/trunk/waeup/plonetheme/__init__.py	(revision 5699)
+++ main/waeup.plonetheme/trunk/waeup/plonetheme/__init__.py	(revision 5699)
@@ -0,0 +1,4 @@
+  # -*- extra stuff goes here -*- 
+
+def initialize(context):
+    """Initializer called when used as a Zope 2 product."""
Index: main/waeup.plonetheme/trunk/waeup/plonetheme/browser/__init__.py
===================================================================
--- main/waeup.plonetheme/trunk/waeup/plonetheme/browser/__init__.py	(revision 5699)
+++ main/waeup.plonetheme/trunk/waeup/plonetheme/browser/__init__.py	(revision 5699)
@@ -0,0 +1,1 @@
+#
Index: main/waeup.plonetheme/trunk/waeup/plonetheme/browser/configure.zcml
===================================================================
--- main/waeup.plonetheme/trunk/waeup/plonetheme/browser/configure.zcml	(revision 5699)
+++ main/waeup.plonetheme/trunk/waeup/plonetheme/browser/configure.zcml	(revision 5699)
@@ -0,0 +1,62 @@
+<configure
+    xmlns="http://namespaces.zope.org/zope"
+    xmlns:browser="http://namespaces.zope.org/browser"
+    i18n_domain="waeup.plonetheme">
+
+  <!-- 'WAeUP Plone Theme' Zope 3 browser layer
+    Register views, viewlets and resources for this layer to make sure
+    they only apply to the 'WAeUP Plone Theme' theme.
+    You can also use this layer to override default Plone browser views
+    and viewlets only within the 'WAeUP Plone Theme' theme.
+  -->
+  <interface
+      interface=".interfaces.IThemeSpecific"
+      type="zope.publisher.interfaces.browser.IBrowserSkinType"
+      name="WAeUP Plone Theme"
+      />
+  
+  <!-- Viewlets registration -->
+  <!-- EXAMPLE (UNCOMMENT TO MAKE AVAILABLE):
+  <browser:viewlet
+      name="waeup.someviewlet"
+      manager="plone.app.layout.viewlets.interfaces.IPortalFooter"
+      class=".viewlets.MyViewlet"
+      layer=".interfaces.IThemeSpecific"
+      permission="zope2.View"
+      />
+  -->
+  <!-- Footer -->
+  <browser:viewlet
+      name="plone.footer"
+      for="*"
+      manager="plone.app.layout.viewlets.interfaces.IPortalFooter"
+      layer=".interfaces.IThemeSpecific"
+      class=".viewlets.WAeUPFooterViewlet"
+      permission="zope.Public"
+      />    
+
+  <!-- Zope 3 browser resources -->
+
+  <!-- Resource directory for images
+    See waeup/plonetheme/browser/images/README.txt
+    for more information about registering images as Zope 3 browser
+    resources.
+  -->
+  <browser:resourceDirectory
+      name="waeup.plonetheme.images"
+      directory="images"
+      layer=".interfaces.IThemeSpecific"
+      />
+
+  <!-- Resource directory for stylesheets
+    See waeup/plonetheme/browser/stylesheets/README.txt
+    for more information about registering stylesheets as Zope 3 browser
+    resources.
+  -->
+  <browser:resourceDirectory
+      name="waeup.plonetheme.stylesheets"
+      directory="stylesheets"
+      layer=".interfaces.IThemeSpecific"
+      />
+
+</configure>
Index: main/waeup.plonetheme/trunk/waeup/plonetheme/browser/images/README.txt
===================================================================
--- main/waeup.plonetheme/trunk/waeup/plonetheme/browser/images/README.txt	(revision 5699)
+++ main/waeup.plonetheme/trunk/waeup/plonetheme/browser/images/README.txt	(revision 5699)
@@ -0,0 +1,56 @@
+README for the 'browser/images/' directory
+==========================================
+
+This folder is a Zope 3 Resource Directory acting as a repository for images.
+
+Its declaration is located in 'browser/configure.zcml':
+
+    <!-- Resource directory for images -->
+    <browser:resourceDirectory
+        name="waeup.plonetheme.images"
+        directory="images"
+        layer=".interfaces.IThemeSpecific"
+        />
+
+An image placed in this directory (e.g. 'logo.png') can be accessed from
+this relative URL:
+
+    "++resource++waeup.plonetheme.images/logo.png"
+
+Note that it might be better to register each of these resources separately if
+you want them to be overridable from zcml directives.
+
+The only way to override a resource in a resource directory is to override the
+entire directory (all elements have to be copied over).
+
+A Zope 3 browser resource declared like this in 'browser/configure.zcml':
+
+    <browser:resource
+        name="logo.png"
+        file="images/logo.png"
+        layer=".interfaces.IThemeSpecific"
+        />
+
+can be accessed from this relative URL:
+
+    "++resource++logo.png"
+
+Notes
+-----
+
+* Whatever the way they are declared (in bulk inside a resource directory or
+  as separate resources), images registered as Zope 3 browser resources don't
+  have all the attributes that Zope 2 image objects have (i.e. the 'title'
+  property and the 'tag()' and 'get_size()' methods).
+  This means that if you want the html tag of your image to be auto-generated
+  (this is the case by default for the portal logo), you should store it in a
+  directory that is located in the 'skins/' folder of your package, registered
+  as a File System Directory View in the 'portal_skins' tool, and added to the
+  layers of your skin.
+
+* Customizing/overriding images that are originally accessed from the
+  'portal_skins' tool (e.g. Plone default logo and icons) can be done inside
+  that tool only. There is no known way to do it with Zope 3 browser
+  resources.
+  Vice versa, there is no known (easy) way to override a Zope 3 browser
+  resource from a skin layer in 'portal_skins'.
Index: main/waeup.plonetheme/trunk/waeup/plonetheme/browser/interfaces.py
===================================================================
--- main/waeup.plonetheme/trunk/waeup/plonetheme/browser/interfaces.py	(revision 5699)
+++ main/waeup.plonetheme/trunk/waeup/plonetheme/browser/interfaces.py	(revision 5699)
@@ -0,0 +1,9 @@
+from plone.theme.interfaces import IDefaultPloneLayer
+
+
+class IThemeSpecific(IDefaultPloneLayer):
+    """Marker interface that defines a Zope 3 browser layer.
+       If you need to register a viewlet only for the
+       "WAeUP Plone Theme" theme, this interface must be its layer
+       (in plonetheme/viewlets/configure.zcml).
+    """
Index: main/waeup.plonetheme/trunk/waeup/plonetheme/browser/stylesheets/README.txt
===================================================================
--- main/waeup.plonetheme/trunk/waeup/plonetheme/browser/stylesheets/README.txt	(revision 5699)
+++ main/waeup.plonetheme/trunk/waeup/plonetheme/browser/stylesheets/README.txt	(revision 5699)
@@ -0,0 +1,61 @@
+README for the 'browser/stylesheets/' directory
+===============================================
+
+This folder is a Zope 3 Resource Directory acting as a repository for
+stylesheets.
+
+Its declaration is located in 'browser/configure.zcml':
+
+    <!-- Resource directory for stylesheets -->
+    <browser:resourceDirectory
+        name="waeup.plonetheme.stylesheets"
+        directory="stylesheets"
+        layer=".interfaces.IThemeSpecific"
+        />
+
+A stylesheet placed in this directory (e.g. 'main.css') can be accessed from
+this relative URL:
+
+    "++resource++waeup.plonetheme.stylesheets/main.css"
+
+Note that it might be better to register each of these resources separately if
+you want them to be overridable from zcml directives.
+
+The only way to override a resource in a resource directory is to override the
+entire directory (all elements have to be copied over).
+
+A Zope 3 browser resource declared like this in 'browser/configure.zcml':
+
+    <browser:resource
+        name="main.css"
+        file="stylesheets/main.css"
+        layer=".interfaces.IThemeSpecific"
+        />
+
+can be accessed from this relative URL:
+
+    "++resource++main.css"
+
+Notes
+-----
+
+* Stylesheets registered as Zope 3 resources might be flagged as not found in
+  the 'portal_css' tool if the layer they are registered for doesn't match the
+  default skin set in 'portal_skins'.
+  This can be confusing but it must be considered as a minor bug in the CSS
+  registry instead of a lack in the way Zope 3 resources are handled in
+  Zope 2.
+
+* There might be a way to interpret DTML from a Zope 3 resource view.
+  Although, if you need to use DTML for setting values in a stylesheet (the
+  same way as in default Plone stylesheets where values are read from
+  'base_properties'), it is much easier to store it in a directory that is
+  located in the 'skins/' folder of your package, registered as a File System
+  Directory View in the 'portal_skins' tool, and added to the layers of your
+  skin.
+
+* Customizing/overriding stylesheets that are originally accessed from the
+  'portal_skins' tool (e.g. Plone default stylesheets) can be done inside that
+  tool only. There is no known way to do it with Zope 3 browser resources.
+  Vice versa, there is no known way to override a Zope 3 browser resource from
+  a skin layer in 'portal_skins'.
Index: main/waeup.plonetheme/trunk/waeup/plonetheme/browser/stylesheets/main.css
===================================================================
--- main/waeup.plonetheme/trunk/waeup/plonetheme/browser/stylesheets/main.css	(revision 5699)
+++ main/waeup.plonetheme/trunk/waeup/plonetheme/browser/stylesheets/main.css	(revision 5699)
@@ -0,0 +1,2 @@
+/* Stylesheet for the 'WAeUP Plone Theme' Plone theme */
+
Index: main/waeup.plonetheme/trunk/waeup/plonetheme/browser/templates/footer.pt
===================================================================
--- main/waeup.plonetheme/trunk/waeup/plonetheme/browser/templates/footer.pt	(revision 5699)
+++ main/waeup.plonetheme/trunk/waeup/plonetheme/browser/templates/footer.pt	(revision 5699)
@@ -0,0 +1,35 @@
+<div metal:define-macro="portal_footer"
+     i18n:domain="plone"
+     class="row">
+    <div class="cell width-full position-0">
+
+        <div id="portal-footer">
+        
+        <table class="footer" align="center">
+            <tr>
+            <th>
+                Footer Column 1 Header
+            </th>
+            <th>
+                Footer Column 2 Header
+            </th>
+            <th>
+                Footer Column 3 Header
+            </th>
+            </tr>                        
+            <tr>
+            <td>
+                Footer Column 1 Text
+            </td>
+            <td>
+                Footer Column 2 Text
+            </td>
+            <td>
+                Footer Column 3 Text       
+            </td>
+            </tr>
+        </table>
+        </div>
+
+    </div>
+</div>
Index: main/waeup.plonetheme/trunk/waeup/plonetheme/browser/viewlet.pt
===================================================================
--- main/waeup.plonetheme/trunk/waeup/plonetheme/browser/viewlet.pt	(revision 5699)
+++ main/waeup.plonetheme/trunk/waeup/plonetheme/browser/viewlet.pt	(revision 5699)
@@ -0,0 +1,12 @@
+<!--
+  'view' refers to the MyViewlet class in viewlets.py
+  If you do not need anything fancy where python code might help,
+  like just a viewlet that displays '<h1>Hello World</h1>',
+  then you can remove anything else from this page template, remove
+  viewlets.py and change the viewlet registration in configure.zcml:
+  replace
+     class=".viewlets.MyViewlet"
+  with 
+     template="viewlet.pt"
+  -->
+<div tal:content="view/computed_value|nothing"/>
Index: main/waeup.plonetheme/trunk/waeup/plonetheme/browser/viewlets.py
===================================================================
--- main/waeup.plonetheme/trunk/waeup/plonetheme/browser/viewlets.py	(revision 5699)
+++ main/waeup.plonetheme/trunk/waeup/plonetheme/browser/viewlets.py	(revision 5699)
@@ -0,0 +1,27 @@
+from Products.Five.browser.pagetemplatefile import ViewPageTemplateFile
+#from plone.app.layout.viewlets.common import ViewletBase
+
+# Sample code for a basic viewlet (In order to use it, you'll have to):
+# - Un-comment the following useable piece of code (viewlet python class).
+# - Rename the viewlet template file ('browser/viewlet.pt') and edit the
+#   following python code accordingly.
+# - Edit the class and template to make them suit your needs.
+# - Make sure your viewlet is correctly registered in 'browser/configure.zcml'.
+# - If you need it to appear in a specific order inside its viewlet manager,
+#   edit 'profiles/default/viewlets.xml' accordingly.
+# - Restart Zope.
+# - If you edited any file in 'profiles/default/', reinstall your package.
+# - Once you're happy with your viewlet implementation, remove any related
+#   (unwanted) inline documentation  ;-p
+
+#class MyViewlet(ViewletBase):
+#    render = ViewPageTemplateFile('viewlet.pt')
+#
+#    def update(self):
+#        self.computed_value = 'any output'
+
+
+from plone.app.layout.viewlets.common import FooterViewlet
+
+class WAeUPFooterViewlet(FooterViewlet):
+    index = ViewPageTemplateFile('templates/footer.pt')
Index: main/waeup.plonetheme/trunk/waeup/plonetheme/configure.zcml
===================================================================
--- main/waeup.plonetheme/trunk/waeup/plonetheme/configure.zcml	(revision 5699)
+++ main/waeup.plonetheme/trunk/waeup/plonetheme/configure.zcml	(revision 5699)
@@ -0,0 +1,14 @@
+<configure
+    xmlns="http://namespaces.zope.org/zope"
+    xmlns:five="http://namespaces.zope.org/five"
+    xmlns:cmf="http://namespaces.zope.org/cmf"
+    xmlns:i18n="http://namespaces.zope.org/i18n"
+    i18n_domain="waeup.plonetheme">
+
+  <five:registerPackage package="." initialize=".initialize" />
+  <include package=".browser" />
+  <include file="skins.zcml" />
+  <include file="profiles.zcml" />
+  <i18n:registerTranslations directory="locales" />
+
+</configure>
Index: main/waeup.plonetheme/trunk/waeup/plonetheme/locales/README.txt
===================================================================
--- main/waeup.plonetheme/trunk/waeup/plonetheme/locales/README.txt	(revision 5699)
+++ main/waeup.plonetheme/trunk/waeup/plonetheme/locales/README.txt	(revision 5699)
@@ -0,0 +1,11 @@
+This directory will be the home for internationalizations for your theme 
+package.  For more information on internationalization please consult the 
+following sources:
+
+http://plone.org/documentation/kb/product-skin-localization
+http://plone.org/documentation/kb/i18n-for-developers
+http://www.mattdorn.com/content/plone-i18n-a-brief-tutorial/
+http://grok.zope.org/documentation/how-to/how-to-internationalize-your-application
+http://maurits.vanrees.org/weblog/archive/2007/09/i18n-locales-and-plone-3.0
+http://n2.nabble.com/Recipe-for-overriding-translations-td3045492ef221724.html
+http://dev.plone.org/plone/wiki/TranslationGuidelines
Index: main/waeup.plonetheme/trunk/waeup/plonetheme/profiles.zcml
===================================================================
--- main/waeup.plonetheme/trunk/waeup/plonetheme/profiles.zcml	(revision 5699)
+++ main/waeup.plonetheme/trunk/waeup/plonetheme/profiles.zcml	(revision 5699)
@@ -0,0 +1,22 @@
+<configure
+    xmlns="http://namespaces.zope.org/zope"
+    xmlns:genericsetup="http://namespaces.zope.org/genericsetup"
+    i18n_domain="waeup.plonetheme">
+
+  <genericsetup:registerProfile
+      name="default"
+      title="WAeUP Plone Theme"
+      directory="profiles/default"
+      description='Extension profile for the "WAeUP Plone Theme" Plone theme.'
+      provides="Products.GenericSetup.interfaces.EXTENSION"
+      />
+
+  <genericsetup:importStep
+      name="waeup.plonetheme.various"
+      title="WAeUP Plone Theme: miscellaneous import steps"
+      description="Various import steps that are not handled by GS import/export handlers."
+      handler="waeup.plonetheme.setuphandlers.setupVarious">
+    <depends name="skins"/>
+  </genericsetup:importStep>
+
+</configure>
Index: main/waeup.plonetheme/trunk/waeup/plonetheme/profiles/default/cssregistry.xml
===================================================================
--- main/waeup.plonetheme/trunk/waeup/plonetheme/profiles/default/cssregistry.xml	(revision 5699)
+++ main/waeup.plonetheme/trunk/waeup/plonetheme/profiles/default/cssregistry.xml	(revision 5699)
@@ -0,0 +1,32 @@
+<?xml version="1.0"?>
+<!-- This file holds the setup configuration for the portal_css tool. -->
+
+<object name="portal_css">
+
+ <!-- Stylesheets that will be registered with the portal_css tool are defined
+      here. You can also specify values for existing resources if you need to
+      modify some of their properties.
+      Stylesheet elements accept these parameters:
+      - 'id' (required): it must respect the name of the css or DTML file
+        (case sensitive). '.dtml' suffixes must be ignored.
+      - 'expression' (optional - default: ''): a tal condition.
+      - 'media' (optional - default: ''): possible values: 'screen', 'print',
+        'projection', 'handheld'...
+      - 'rel' (optional - default: 'stylesheet')
+      - 'title' (optional - default: '')
+      - 'rendering' (optional - default: 'import'): 'import', 'link' or
+        'inline'.
+      - 'enabled' (optional - default: True): boolean
+      - 'cookable' (optional - default: True): boolean (aka 'merging allowed')
+      - 'insert_before', 'insert_after' (optional - default: '') resource id
+      See registerStylesheet() arguments in
+      ResourceRegistries/tools/CSSRegistry.py for the latest list of all
+      available keys and default values.
+      -->
+ <stylesheet title=""
+    id="++resource++waeup.plonetheme.stylesheets/main.css"
+    media="screen" rel="stylesheet" rendering="import"
+    cacheable="True" compression="safe" cookable="True"
+    enabled="1" expression=""/>
+
+</object>
Index: main/waeup.plonetheme/trunk/waeup/plonetheme/profiles/default/jsregistry.xml
===================================================================
--- main/waeup.plonetheme/trunk/waeup/plonetheme/profiles/default/jsregistry.xml	(revision 5699)
+++ main/waeup.plonetheme/trunk/waeup/plonetheme/profiles/default/jsregistry.xml	(revision 5699)
@@ -0,0 +1,27 @@
+<?xml version="1.0"?>
+<!-- This file holds the setup configuration for the portal_javascripts tool.
+     -->
+
+<object name="portal_javascripts">
+
+ <!-- Javascript files that will be registered with the
+      portal_javascripts tool are defined here. You can also specify values
+      for existing resources if you need to modify some of their properties.
+      Javascript elements accept these parameters:
+      - 'id' (required): same rules as for stylesheets (see
+        'cssregistry.xml').
+      - 'expression' (optional - default: ''): a tal condition.
+      - 'inline' (optional - default: False)
+      - 'enabled' (optional - default: True): boolean
+      - 'cookable' (optional - default: True): boolean (aka 'merging allowed')
+      See registerScript() arguments in ResourceRegistries/tools/JSRegistry.py
+      for the latest list of all available keys and default values.
+      -->
+<!-- EXAMPLE (UNCOMMENT TO MAKE AVAILABLE):
+ <javascript
+    id="++resource++waeup.plonetheme.javascripts/something.js"
+    cacheable="False" compression="safe" cookable="False"
+    enabled="True" expression=""  inline="False"/>
+-->
+
+</object>
Index: main/waeup.plonetheme/trunk/waeup/plonetheme/profiles/default/metadata.xml
===================================================================
--- main/waeup.plonetheme/trunk/waeup/plonetheme/profiles/default/metadata.xml	(revision 5699)
+++ main/waeup.plonetheme/trunk/waeup/plonetheme/profiles/default/metadata.xml	(revision 5699)
@@ -0,0 +1,4 @@
+<?xml version="1.0"?>
+<metadata>
+  <version>1000</version>
+</metadata>
Index: main/waeup.plonetheme/trunk/waeup/plonetheme/profiles/default/skins.xml
===================================================================
--- main/waeup.plonetheme/trunk/waeup/plonetheme/profiles/default/skins.xml	(revision 5699)
+++ main/waeup.plonetheme/trunk/waeup/plonetheme/profiles/default/skins.xml	(revision 5699)
@@ -0,0 +1,50 @@
+<?xml version="1.0"?>
+<!-- This file holds the setup configuration for the portal_skins tool -->
+
+<!-- Change the value of these parameters to modify portal_skins behavior:
+     - allow_any: change it to True if you want users to be able to select the
+       skin to use from their personal preferences management page. In the
+       ZMI, this value is known as 'Skin flexibility'.
+     - cookie_persistence: change it to True if you want to make the skin cookie
+       persist indefinitely. In the ZMI, this value is known as 'Skin Cookie
+       persistence'.
+       -->
+<object name="portal_skins" allow_any="False" cookie_persistence="False"
+   default_skin="WAeUP Plone Theme">
+
+ <!-- This list registers the folders that are stored in the skins directory
+      of your product (on the filesystem) as Filesystem Directory Views within
+      the portal_skins tool, so that they become usable as skin layers.
+      -->
+ <object name="waeup_plonetheme_custom_images"
+    meta_type="Filesystem Directory View"
+    directory="waeup.plonetheme:skins/waeup_plonetheme_custom_images"/>
+ <object name="waeup_plonetheme_custom_templates"
+    meta_type="Filesystem Directory View"
+    directory="waeup.plonetheme:skins/waeup_plonetheme_custom_templates"/>
+ <object name="waeup_plonetheme_styles"
+    meta_type="Filesystem Directory View"
+    directory="waeup.plonetheme:skins/waeup_plonetheme_styles"/>
+
+ <!-- A skin-path in this file corresponds to a Skin Selection in the
+     'Properties' tab of the portal_skins tool, in the ZMI.
+     You can define for each new skin path the layers that it holds. A new
+     skin can be based on another existing one by using the 'based-on'
+     attribute.
+     The definition of a layer accepts these parameters:
+       - name: quite self explanatory, the name of the layer.
+       - insert-before: name of the layer before which it must be added.
+       - insert-after: name of the layer after which it must be added.
+       Note: insert-before (and -after) accepts the value "*" which means
+       "all".
+       -->
+ <skin-path name="WAeUP Plone Theme" based-on="Plone Sunburst Theme">
+  <layer name="waeup_plonetheme_custom_images"
+     insert-after="custom"/>
+  <layer name="waeup_plonetheme_custom_templates"
+     insert-after="waeup_plonetheme_custom_images"/>
+  <layer name="waeup_plonetheme_styles"
+     insert-after="waeup_plonetheme_custom_templates"/>
+ </skin-path>
+
+</object>
Index: main/waeup.plonetheme/trunk/waeup/plonetheme/profiles/default/viewlets.xml
===================================================================
--- main/waeup.plonetheme/trunk/waeup/plonetheme/profiles/default/viewlets.xml	(revision 5699)
+++ main/waeup.plonetheme/trunk/waeup/plonetheme/profiles/default/viewlets.xml	(revision 5699)
@@ -0,0 +1,43 @@
+<?xml version="1.0"?>
+<!-- This file holds the setup configuration of the viewlet managers
+     for the "WAeUP Plone Theme" skin.
+     -->
+
+<object>
+
+  <!-- Viewlets keep the same ordering than the default skin ('Plone Default'
+       out of the box).
+       You can specify skinname="*" if you want changes apply for all skins.
+       Using "True"" for the 'make-default' parameter will make the 'skinname'
+       value set as default skinname. Means the name of the skin that would be
+       used in case the viewlets ordering was not specified for the currently
+       used skin.
+       The 'based-on' attribute lets you inherit the viewlets ordering from an
+       existing skin.
+       -->
+  <order manager="plone.portalfooter" skinname="WAeUP Plone Theme"
+         based-on="Plone Default">
+    <!-- The definition of a viewlet accepts these parameters:
+         - name: quite self explanatory, the name of the viewlet.
+         - insert-before: name of the viewlet before which it must be added or
+           moved.
+         - insert-after: name of the viewlet after which it must be added
+           or moved.
+         - remove: supported but rarely needed, removes the viewlet from the
+           ordering list (doesn't mean that it hides the viewlet).
+         Note: insert-before and -after accept the value "*" which means
+         "all".
+         -->
+<!-- EXAMPLE (UNCOMMENT TO MAKE AVAILABLE):
+    <viewlet name="waeup.someviewlet"
+             insert-before="*" />
+-->
+  </order>
+
+  <hidden manager="plone.portalheader" skinname="WAeUP Plone Theme">
+<!-- EXAMPLE (UNCOMMENT TO MAKE AVAILABLE):
+    <viewlet name="plone.global_sections" />
+-->
+  </hidden>
+
+</object>
Index: main/waeup.plonetheme/trunk/waeup/plonetheme/profiles/default/waeup.plonetheme_various.txt
===================================================================
--- main/waeup.plonetheme/trunk/waeup/plonetheme/profiles/default/waeup.plonetheme_various.txt	(revision 5699)
+++ main/waeup.plonetheme/trunk/waeup/plonetheme/profiles/default/waeup.plonetheme_various.txt	(revision 5699)
@@ -0,0 +1,1 @@
+This file is used as a marker in setuphandlers.py.
Index: main/waeup.plonetheme/trunk/waeup/plonetheme/setuphandlers.py
===================================================================
--- main/waeup.plonetheme/trunk/waeup/plonetheme/setuphandlers.py	(revision 5699)
+++ main/waeup.plonetheme/trunk/waeup/plonetheme/setuphandlers.py	(revision 5699)
@@ -0,0 +1,11 @@
+def setupVarious(context):
+
+    # Ordinarily, GenericSetup handlers check for the existence of XML files.
+    # Here, we are not parsing an XML file, but we use this text file as a
+    # flag to check that we actually meant for this import step to be run.
+    # The file is found in profiles/default.
+
+    if context.readDataFile('waeup.plonetheme_various.txt') is None:
+        return
+
+    # Add additional setup code here
Index: main/waeup.plonetheme/trunk/waeup/plonetheme/skins.zcml
===================================================================
--- main/waeup.plonetheme/trunk/waeup/plonetheme/skins.zcml	(revision 5699)
+++ main/waeup.plonetheme/trunk/waeup/plonetheme/skins.zcml	(revision 5699)
@@ -0,0 +1,16 @@
+<configure
+    xmlns="http://namespaces.zope.org/zope"
+    xmlns:cmf="http://namespaces.zope.org/cmf"
+    i18n_domain="waeup.plonetheme">
+
+  <!-- File System Directory Views registration -->
+  <cmf:registerDirectory name="waeup_plonetheme_custom_images"/>
+  <cmf:registerDirectory name="waeup_plonetheme_custom_templates"/>
+  <cmf:registerDirectory name="waeup_plonetheme_styles"/>
+
+  <!-- Note: This could also be done for all folders at once
+       by replacing the previous lines with this one:
+  <cmf:registerDirectory name="skins" directory="skins" recursive="True" />
+  -->
+
+</configure>
Index: main/waeup.plonetheme/trunk/waeup/plonetheme/skins/waeup_plonetheme_custom_images/CONTENT.txt
===================================================================
--- main/waeup.plonetheme/trunk/waeup/plonetheme/skins/waeup_plonetheme_custom_images/CONTENT.txt	(revision 5699)
+++ main/waeup.plonetheme/trunk/waeup/plonetheme/skins/waeup_plonetheme_custom_images/CONTENT.txt	(revision 5699)
@@ -0,0 +1,3 @@
+This folder holds Filesystem Image files that are registered for the
+'WAeUP Plone Theme' Skin Selection only.
+They act as replacement for the default Plone (or 3rd party products) ones.
Index: main/waeup.plonetheme/trunk/waeup/plonetheme/skins/waeup_plonetheme_custom_templates/CONTENT.txt
===================================================================
--- main/waeup.plonetheme/trunk/waeup/plonetheme/skins/waeup_plonetheme_custom_templates/CONTENT.txt	(revision 5699)
+++ main/waeup.plonetheme/trunk/waeup/plonetheme/skins/waeup_plonetheme_custom_templates/CONTENT.txt	(revision 5699)
@@ -0,0 +1,3 @@
+This folder holds Filesystem Page Template files that are registered for the
+'WAeUP Plone Theme' Skin Selection only.
+They act as replacement for the default Plone (or 3rd party products) ones.
Index: main/waeup.plonetheme/trunk/waeup/plonetheme/skins/waeup_plonetheme_styles/CONTENT.txt
===================================================================
--- main/waeup.plonetheme/trunk/waeup/plonetheme/skins/waeup_plonetheme_styles/CONTENT.txt	(revision 5699)
+++ main/waeup.plonetheme/trunk/waeup/plonetheme/skins/waeup_plonetheme_styles/CONTENT.txt	(revision 5699)
@@ -0,0 +1,10 @@
+This folder holds stylesheet files that are registered for the
+'WAeUP Plone Theme' Skin Selection only.
+
+It is a repository for customizations of the default Plone stylesheets,
+as well as for package specific stylesheets.
+
+
+Note
+    Stylesheet files that don't use DTML can also stored in the 'browser'
+    folder and accessed as Zope 3 file resources.
Index: main/waeup.plonetheme/trunk/waeup/plonetheme/skins/waeup_plonetheme_styles/base_properties.props
===================================================================
--- main/waeup.plonetheme/trunk/waeup/plonetheme/skins/waeup_plonetheme_styles/base_properties.props	(revision 5699)
+++ main/waeup.plonetheme/trunk/waeup/plonetheme/skins/waeup_plonetheme_styles/base_properties.props	(revision 5699)
@@ -0,0 +1,51 @@
+title:string=NOT USED in the Sunburst theme and the WAeUP Plone Theme by default, see ploneCustom.css for example usage. You can also add your own variables here.
+
+plone_skin:string=Sunburst Theme
+
+logoName:string=logo.png
+
+fontFamily:string="Helvetica Neue", Arial, FreeSans, sans-serif; 
+linkColor:string=#205c90
+editBarColor:string=#75ad0a
+
+compatibilityClassic:string=The below values are copied directly from the old Plone theme to make sure that products that rely on them don't break. 
+
+fontBaseSize:string=69%
+fontColor:string=Black
+fontSmallSize:string=90%
+
+backgroundColor:string=White
+
+linkActiveColor:string=Red
+linkVisitedColor:string=Purple
+
+borderWidth:string=1px
+borderStyle:string=solid
+borderStyleAnnotations:string=solid
+
+globalBorderColor:string=#8cacbb
+globalBackgroundColor:string=#dee7ec
+globalFontColor:string=#436976
+
+headingFontFamily:string="Lucida Grande", Verdana, Lucida, Helvetica, Arial, sans-serif
+
+contentViewBorderColor:string=#74ae0b
+contentViewBackgroundColor:string=#cde2a7
+contentViewFontColor:string=#578308
+
+inputFontColor:string=Black
+
+textTransform:string=none
+
+evenRowBackgroundColor:string=#eef3f5 
+oddRowBackgroundColor:string=transparent
+
+notifyBorderColor:string=#ffa500
+notifyBackgroundColor:string=#ffce7b
+
+discreetColor:string=#76797c
+helpBackgroundColor:string=#ffffe1
+
+portalMinWidth:string=70em
+columnOneWidth:string=16em
+columnTwoWidth:string=16em
Index: main/waeup.plonetheme/trunk/waeup/plonetheme/skins/waeup_plonetheme_styles/ploneCustom.css.dtml
===================================================================
--- main/waeup.plonetheme/trunk/waeup/plonetheme/skins/waeup_plonetheme_styles/ploneCustom.css.dtml	(revision 5699)
+++ main/waeup.plonetheme/trunk/waeup/plonetheme/skins/waeup_plonetheme_styles/ploneCustom.css.dtml	(revision 5699)
@@ -0,0 +1,293 @@
+table.footer {
+    margin-left: auto;
+    margin-right: auto;
+}
+
+table.footer th,
+table.footer td {
+    padding: 0.5em 1em;
+    vertical-align: top;
+}
+
+
+
+/*
+** PUBLIC.CSS CUSTOMIZATION STYLES 
+*/
+
+#portal-logo {
+    margin: 1.375em 0;
+}
+
+h1, h2, h3, h4, h5, h6 {
+    font-weight: normal;
+}
+
+h1 {
+    font-size: 1.9em;
+}
+h2 {
+    font-size: 1.4em;
+}
+
+h1, h2 {
+    letter-spacing: 0em;
+}
+
+#portal-globalnav li a {
+    padding: 0.5em 1em 1em 1em;
+    min-width: 6em;
+    white-space: normal;
+    /*TODO: Once we have removed the whitespace from the nav template, this can be put back*/
+    /*border-bottom: 0.1em solid White;*/
+    border-right: 0.1em solid white;
+}
+
+dl.portlet dt,
+div.portletAssignments div.portletHeader {
+    padding: 0.4em 1em;
+    background: #ddd;
+    line-height: normal;
+}
+
+#portlet-prefs a {
+    line-height: normal;
+}
+
+dt {
+  font-weight: bold;
+}
+
+#fieldset-openid-login input, #login-form input {
+  font-size: 120%;
+}
+
+/* Change the ugly green of the sunburst theme */ 
+
+#portal-siteactions li a:hover {
+    color: #008036
+}
+#content a:hover,
+dl.portlet a:hover {
+    color: #008036 !important; /* This one gets an !important because it should always activate in the content area, even when state coloring is active */
+}
+#edit-bar {
+    background-color: #008036;
+    border: 0.25em solid #008036;
+    border-style: solid solid none solid;
+}
+
+#content-views {
+    background-color: #008036;
+}
+#contentActionMenus dl.actionMenu a,
+#contentActionMenus dl.actionMenu.activated dd {
+    background-color: #008036;
+}
+#contentActionMenus dl.actionMenu.activated dd {
+    border-bottom: 0.5em solid #008036;
+}
+#contentActionMenus {
+    background: #008036;
+}
+div.overlay a:hover {
+    color: #008036;
+}
+
+/* Change the light blue of the sunburst theme */ 
+
+#portal-globalnav {
+    background: #ddd;
+}
+
+#portal-globalnav li a {
+    background: #ddd;
+}
+#portal-globalnav .selected a:hover {
+    background: #ddd;
+    color: #003d7d;
+}
+.LSHighlight {
+    background: #ddd;
+}
+dl.portlet dt,
+div.portletAssignments div.portletHeader {
+    background: #ddd;
+}
+div.managePortletsLink,
+a.managePortletsFallback {
+    background: #ddd;
+}
+dl.portlet ul.navTreeLevel0 > .navTreeItem {
+    border-bottom: 0.1em dotted #ddd;
+}
+dl.portlet ul.navTree .navTreeCurrentItem {
+    background-color: #ddd;
+    border-left: 1em solid #ddd;
+}
+#category a.link-category {
+    background: #ddd;
+}
+table.plain th,
+table.plain td {
+    border: 1px solid #ddd;
+}
+table.listing {
+    border-left: 1px solid #ddd;
+    border-bottom: 1px solid #ddd;
+}
+table.listing .top {
+    border-left: 1px solid #ddd;
+    border-top: 1px solid #ddd;
+    border-right: 1px solid #ddd;
+}
+table.listing th {
+    color: #666;
+    border: 0.1em solid #e7e7e7;
+    background: #ddd;
+}
+table.listing td {
+    border-right: 1px solid #ddd;
+}
+table.listing td.draggable {
+    background: #ddd !important;
+}
+#content ul.formTabs {
+    background-color: #ddd;
+    border: 0.3em solid #ddd;
+}
+img.image-left,
+img.image-right,
+.captioned img {
+    border: 1px solid #ddd;
+}
+#portal-footer {
+    background: #ddd;
+    line-height: 1em;
+    padding-top: 0.5em;
+    padding-bottom: 0.5em;
+}
+#portal-sitemap > li {
+    border-bottom:0.1em dotted #ddd;
+}
+#content-history .historyByLine {
+    background: #ddd;
+}
+#content-history div.historyComment {
+    border: 1px solid #ddd;
+}
+
+/* Change the dark blue of the sunburst theme */ 
+
+a:link, a:visited {
+    color: #003d7d;
+}
+
+#portal-globalnav .selected a,
+#portal-globalnav a:hover {
+    background: #003d7d;
+}
+
+#content a.link-overlay {
+    border-bottom: 1px dotted #003d7d !important;
+}
+
+#content a:link,
+dl.portlet a:link {
+    color: #003d7d;
+}
+
+#category a.link-category:hover {
+    background: #003d7d;
+    border-color: #003d7d;
+}
+
+#portal-personaltools dd a:hover {
+    background: #003d7d;
+}
+
+
+
+
+
+
+/*
+** COLUMNS.CSS CUSTOMIZATION STYLES 
+*/
+
+/* Shrink left and right columns and enlarge the content column */
+div.width-1\3a 2 { width:    53.75%; } /* .width-1:2 */
+div.width-1\3a 4 { width:    19.75%; } /* .width-1:4 */
+div.width-3\3a 4 { width:    75.75%; } /* .width-3:4 */
+div.width-full   { width:    97.75%  } 
+div.position-1\3a 4 {margin-left:    -76.875%;} /* .position-1:4 */
+div.position-1\3a 2 {margin-left:    -48.875%;} /* .position-1:2 */
+div.position-3\3a 4 {margin-left:    -20.875%;} /* .position-3:4 */
+
+
+
+
+
+
+
+/* Here follows the original stuff from ploneCustom.css.dtml */
+
+/* uncomment the below selector to get a fixed-width layout. *
+ * 60em is equivalent to 960px in this case, and every       *
+ * grid cell will be 40px with 10px padding.                 */
+
+#visual-portal-wrapper { width: 60em; margin: 0 auto; }
+
+/* To change the link color (or the navigation link  background), uncomment *
+ * the selectors below, and insert new color values:                        */
+
+/*
+a:link, a:visited, #content a:link, #content a:visited, dl.portlet a:link, dl.portlet a:visited { 
+    color: red;
+}
+#portal-globalnav .selected a, #portal-globalnav a:hover { 
+    background-color: red;
+}
+*/
+
+/* To change the edit bar color, uncomment the selectors below, and insert *
+ * new color values:                                                        */
+
+/*
+#contentActionMenus,
+dl.actionMenu.activated dd,
+#content-views,
+#edit-bar {
+	background-color: blue;
+	border-color: blue;
+}
+dl.actionMenu a {
+	background-color: blue;
+}
+*/
+
+/* If you want to hide the path bar (aka. breadcrumbs), uncomment the below: */
+
+/*
+#breadcrumbs-you-are-here,
+#breadcrumbs-home,
+#breadcrumbs-current,
+#breadcrumbs-1 {
+    display: none;
+}
+*/
+
+/* If you want variables in the CSS (for example for colors that are used     *
+ * in several locations), Plone has a built-in facility for this. An example  *
+ * is shown below, the variables are defined in the file "base_properties",   *
+ * and below we show the syntax for using them directly in the CSS file.      *
+ * Note that you always need to surround the relevant part (or the entire CSS *
+ * file) with the dtml-with statements for it to work.                        */
+
+/*
+
+/* 
+<dtml-with base_properties>
+    #content a:link { color: &dtml-linkColor;; }
+</dtml-with>
+*/
Index: main/waeup.plonetheme/trunk/waeup/plonetheme/tests.py
===================================================================
--- main/waeup.plonetheme/trunk/waeup/plonetheme/tests.py	(revision 5699)
+++ main/waeup.plonetheme/trunk/waeup/plonetheme/tests.py	(revision 5699)
@@ -0,0 +1,55 @@
+import unittest
+
+#from zope.testing import doctestunit
+#from zope.component import testing
+from Testing import ZopeTestCase as ztc
+
+from Products.Five import fiveconfigure
+from Products.PloneTestCase import PloneTestCase as ptc
+from Products.PloneTestCase.layer import PloneSite
+ptc.setupPloneSite()
+
+import waeup.plonetheme
+
+
+class TestCase(ptc.PloneTestCase):
+
+    class layer(PloneSite):
+
+        @classmethod
+        def setUp(cls):
+            fiveconfigure.debug_mode = True
+            ztc.installPackage(waeup.plonetheme)
+            fiveconfigure.debug_mode = False
+
+        @classmethod
+        def tearDown(cls):
+            pass
+
+
+def test_suite():
+    return unittest.TestSuite([
+
+        # Unit tests
+        #doctestunit.DocFileSuite(
+        #    'README.txt', package='waeup.plonetheme',
+        #    setUp=testing.setUp, tearDown=testing.tearDown),
+
+        #doctestunit.DocTestSuite(
+        #    module='waeup.plonetheme.mymodule',
+        #    setUp=testing.setUp, tearDown=testing.tearDown),
+
+
+        # Integration tests that use PloneTestCase
+        #ztc.ZopeDocFileSuite(
+        #    'README.txt', package='waeup.plonetheme',
+        #    test_class=TestCase),
+
+        #ztc.FunctionalDocFileSuite(
+        #    'browser.txt', package='waeup.plonetheme',
+        #    test_class=TestCase),
+
+        ])
+
+if __name__ == '__main__':
+    unittest.main(defaultTest='test_suite')
Index: main/waeup.plonetheme/trunk/waeup/plonetheme/version.txt
===================================================================
--- main/waeup.plonetheme/trunk/waeup/plonetheme/version.txt	(revision 5699)
+++ main/waeup.plonetheme/trunk/waeup/plonetheme/version.txt	(revision 5699)
@@ -0,0 +1,1 @@
+1.0
